VRPlatformVRPlatform
Bank rules

/bank-rules

List bank rules

GET
/bank-rules
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

search?string
status?string
Value in"active" | "inactive"
mode?string
Value in"suggest" | "autoCreateAndMatch"
transactionType?string
Value in"deposit" | "expense"
limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/bank-rules"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "status": "active",
      "priority": -9007199254740991,
      "transactionType": "deposit",
      "mode": "suggest",
      "matchMode": "all",
      "conditions": [
        {
          "type": "description",
          "operator": "contains",
          "value": "string"
        }
      ],
      "descriptionOverride": "string",
      "usePriorMonthEnd": true,
      "version": -9007199254740991,
      "vendorContact": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "firstName": "string",
        "uniqueRef": "string",
        "shortRef": "string"
      },
      "accounts": [
        {
          "id": "string",
          "name": "string",
          "uniqueRef": "string",
          "status": "active"
        }
      ],
      "lines": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "sortOrder": 9007199254740991,
          "splitMode": "fixed",
          "fixedCentAmount": 9007199254740991,
          "percentageBps": 100000,
          "assignment": "deposit_merchantFee",
          "party": "owners",
          "taxBehavior": "excluded",
          "descriptionOverride": "string",
          "markup": {
            "amount": -9007199254740991,
            "taxBehavior": "excluded",
            "taxRate": {
              "id": "string",
              "name": "string",
              "basisPoints": 100000
            }
          },
          "account": {
            "id": "string",
            "name": "string",
            "uniqueRef": "string",
            "status": "active"
          },
          "listing": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "uniqueRef": "string",
            "shortRef": "string"
          },
          "contact": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "firstName": "string",
            "uniqueRef": "string",
            "shortRef": "string"
          },
          "taxRate": {
            "id": "string",
            "name": "string",
            "basisPoints": 100000
          }
        }
      ]
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}